# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default The Binding of Isaac Repentance Template

game: The Binding of Isaac Repentance
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

The Binding of Isaac Repentance:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  total_locations:
    # Number of location checks which are added.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 500
    125: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-10-500: 0 # random value between 10 and 500

  required_locations:
    # Number of location checks required to beat the game.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 500
    75: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-500: 0 # random value between 1 and 500

  item_pickup_step:
    # Number of items to pick up before an AP Check is completed.
    # Setting to 1 means every pickup,
    # Setting to 2 means every other pickup,
    # Setting to 3 means every third pickup and so on...
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 5
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-5: 0 # random value between 1 and 5

  goal:
    # Goal to finish the run. Note that note marks and full notes do include the Cent Sign note mark as greed mode is
    # not supported yet.
    mom: 0
    moms_heart: 0
    isaac_satan: 0
    isaac: 0
    satan: 0
    blue_baby_lamb: 50
    blue_baby: 0
    lamb: 0
    mega_satan: 0
    boss_rush: 0
    hush: 0
    dogma: 0
    beast: 0
    mother: 0
    delirium: 0
    required_locations: 0
    full_notes: 0
    note_marks: 0

  full_note_amount:
    # Number of full notes needed to beat the game (if goal is full notes).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 34
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-34: 0 # random value between 1 and 34

  note_marks_amount:
    # Number of note marks needed to beat the game (if goal is note marks).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 374
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-374: 0 # random value between 1 and 374

  note_marks_require_hard_mode:
    # If set on Note Marks are only considered complete if the run was on hard mode.
    # Relevant for both full notes and note marks goal
    'false': 50
    'true': 0

  item_weights:
    # Preset choices for determining the weights of the item pool.
    default: 50
    custom: 0

  custom_item_weights:
    # Put your custom item weights here. Format is item_name: weighting. Leave empty for default weighting. These
    # weights are only for progression items. For junk and trap items use Custom Junk Item Weights and Trap Item
    # Weights.
    Angel Deal Item: 6
    Boss Item: 12
    Curse Room Item: 4
    Devil Deal Item: 6
    Golden Chest Item: 8
    Library Item: 1
    Planetarium Item: 1
    Red Chest Item: 1
    Secret Room Item: 8
    Shop Item: 15
    Treasure Room Item: 15

  junk_percentage:
    # Percentage of junk items (Non-Collectable Pickups like Coins, Bombs etc.)
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    75: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  custom_junk_item_weights:
    # Put your custom junk item weights here. Format is item_name: weighting. Leave empty for default weighting. These
    # weights are only for junk items. For progression and trap items use Custom Item Weights and Trap Item
    # Weights.
    Random Bomb: 5
    Random Card: 3
    Random Chest: 2
    Random Coin: 6
    Random Heart: 5
    Random Key: 5
    Random Pickup: 0
    Random Pill: 3
    Random Trinket: 1

  trap_percentage:
    # Replaces a percentage of junk items with traps
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  trap_item_weights:
    # Put your custom trap item weights here. Format is item_name: weighting. Leave empty for default weighting. These
    # weights are only for trap items. For progression and junk items use Custom Item Weights and Custom Junk Item
    # Weights.
    Curse Trap: 20
    Paralysis Trap: 20
    Retro Vision Trap: 20
    Teleport Trap: 20
    Troll Bomb Trap: 20
    Wavy Cap Trap: 20

  teleport_trap_can_error:
    # Can a Teleport Trap teleport to an Error Room?
    'false': 0
    'true': 50

  additional_boss_rewards:
    # If enabled all goal bosses will reward additional checks.
    # The amount of checks if determined on how deep the boss in the run:
    # Mom = 1
    # Mom's Heart/Boss Rush = 2
    # Isaac/Satan/Hush = 3
    # Blue Baby/The Lamb = 4
    # Mega Satan/Mother/Beast/Delirium = 5
    # exception:
    # Dogma = 0
    'false': 0
    'true': 50

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  split_start_items:
    # Will split items already received on run start to be received over multiple floors.
    # This is to avoid getting to many items early and make runs more interesting.
    # Always 6 will always divide items over the first 6 floors.
    # Furthest will base the division on your furthest run so far.
    'off': 50
    on_always_6: 0
    on_furthest: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
